#
# spec file for package perl-Tk (Version 804.027)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-libs cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel fonts-config freetype2 freetype2-devel gawk gcc gcc42 gconf2 gconf2-lang gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libreadline5 libstdc++42 libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs orbit2 pam pam-modules pango patch pcre perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux xorg-x11 xorg-x11-devel xorg-x11-fonts xorg-x11-fonts-core xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-server xorg-x11-server-extra xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           perl-Tk
BuildRequires:  xorg-x11 xorg-x11-Xnest xorg-x11-Xvfb xorg-x11-devel xorg-x11-fonts xorg-x11-fonts-100dpi xorg-x11-fonts-scalable
%ifnarch s390 s390x
BuildRequires:  xorg-x11-server
%endif
License:        Artistic License; Public Domain, Freeware
Group:          Development/Libraries/Perl
Requires:       perl
Provides:       perl_tk
Obsoletes:      perl_tk
AutoReqProv:    on
Version:        804.027
Release:        95.2
Summary:        Perl Tk
Url:            http://cpan.org/modules/by-module/Tk/
Source:         Tk-%{version}.tar.bz2
Patch:          Tk-%{version}-lib64.diff
Patch2:         Tk-%{version}-macro.diff
Patch3:         Tk-%{version}-tkEvent.diff
Patch4:         Tk-%{version}-null.diff
Patch5:         Tk-%{version}-refcnt.diff
Patch6:         Tk-%{version}-CVE-2006-4484.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl Tk is an enhancement for Perl. It combines the well structured
graphical library Tk with the powerful scripting language Perl.



Authors:
--------
    Nick Ing-Simmons <Nick.Ing-Simmons@tiuk.ti.com>

%debug_package
%package devel
AutoReqProv:    on
Requires:       %{name} = %{version}
Provides:       perl-Tk:/usr/lib/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Tk/pTk/Lang.h
Group:          Development/Libraries/Perl
Summary:        Perl Tk

%description devel
Perl Tk is an enhancement for Perl. It combines the well structured
graphical library Tk with the powerful scripting language Perl.



Authors:
--------
    Nick Ing-Simmons <Nick.Ing-Simmons@tiuk.ti.com>

%prep
%setup -q -n Tk-%{version}
if test "%_lib" = "lib64" ; then
%patch
fi
%patch2
%patch3
%patch4
%patch5
%patch6

%build
find -name "*.orig" -exec rm {} \;
for file in `find -type f` ; do
  grep "/usr/local/bin/perl" $file && \
    cat $file | \
      sed -e "s@/usr/local/bin/perl@/usr/bin/perl@g" > tmpfile && \
        mv tmpfile $file
  grep "/usr/local/bin/nperl" $file && \
    cat $file | \
      sed -e "s@/usr/local/bin/nperl@/usr/bin/nperl@g" > tmpfile && \
        mv tmpfile $file
  grep "#!\s*/bin/perl" $file && \
    cat $file | \
      sed -e "s@/bin/perl@/usr/bin/perl@g" > tmpfile && \
        mv tmpfile $file
  grep "#!\s*/tools/local/perl" $file && \
    cat $file | \
      sed -e "s@/tools/local/perl@/usr/bin/perl@g" > tmpfile && \
        mv tmpfile $file
  grep "/usr/local/bin/new/perl" $file && \
    cat $file | \
      sed -e "s@/usr/local/bin/new/perl@/usr/bin/perl@g" > tmpfile && \
        mv tmpfile $file
done
perl Makefile.PL XFT=1
make CFLAGS="$RPM_OPT_FLAGS -Wall -fpic"
#disable test that require Test
mv t/browseentry-grabtest.t t/browseentry-grabtest.tt
mv t/browseentry2.t t/browseentry2.tt
mv t/entry.t t/entry.tt
mv t/listbox.t t/listbox.tt

%check
Xvfb :95 &
trap "kill $!" EXIT
sleep 5
DISPLAY=:95 make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
rm -f $RPM_BUILD_ROOT/%{perl_vendorarch}/fix_4_os2.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Change.log Changes Funcs.doc INSTALL PPM-HowTo README* ToDo VERSIONS
%doc %{_mandir}/man?/*
%{_bindir}/*
%{perl_vendorarch}/Tie
%{perl_vendorarch}/Tk
%{perl_vendorarch}/Tk.*
/var/adm/perl-modules/perl-Tk
%{perl_vendorarch}/auto/Tk
%exclude %{perl_vendorarch}/Tk/pTk
%exclude %{perl_vendorarch}/Tk/*.h

%files devel
%defattr(-,root,root)
%{perl_vendorarch}/Tk/pTk
%{perl_vendorarch}/Tk/*.h

%changelog
* Fri Feb 08 2008 - anicka@suse.cz
- fix CVE-2006-4484 [#357978]
* Fri Jun 22 2007 - anicka@suse.cz
- split up the devel subpackage, move testing to %%check
* Tue Nov 07 2006 - schwab@suse.de
- Fix reference counting.
* Sun Aug 06 2006 - aj@suse.de
- Fix build with X11R7.
* Fri Jul 07 2006 - anicka@suse.cz
- build with XFT=1 [#181927]
* Fri Feb 24 2006 - anicka@suse.cz
- workaround segfault in tkEvent.c (#139552)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - anicka@suse.cz
- compile with -fpic
* Mon Jan 16 2006 - anicka@suse.cz
- update to 804.027
* Mon Apr 18 2005 - mjancar@suse.de
- fix for gcc 4.0
* Sat Apr 24 2004 - sndirsch@suse.de
- use xorg-x11 packages
* Sun Feb 22 2004 - ro@suse.de
- added libusb and resmgr to neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Fri Jul 25 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Mon Jun 09 2003 - mjancar@suse.cz
- use $RPM_OPT_FLAGS
* Mon May 19 2003 - ro@suse.de
- remove unpackaged files
* Tue Feb 04 2003 - ro@suse.de
- don't use Xnest
* Thu Dec 05 2002 - prehak@suse.cz
- added freetype2 to neededforbuild
* Thu Nov 28 2002 - prehak@suse.cz
- temporarily used Xnest server to work with Xvfb due to some changes
  in Xvfb that caused broken connection
* Mon Nov 11 2002 - ro@suse.de
- updated neededforbuild after xf86-rename
* Tue Jul 30 2002 - prehak@suse.cz
- update to new version 800.024
* Thu May 16 2002 - ro@suse.de
- find correct x11-libs on lib64 platforms
* Mon Jan 07 2002 - ro@suse.de
- added libusb to neededforbuild (for Xvfb)
* Mon Aug 20 2001 - rvasice@suse.cz
- fixed perl path to /usr/bin/perl
* Fri Aug 17 2001 - rvasice@suse.cz
- update to version 800.023
* Wed Apr 11 2001 - schwab@suse.de
- Fix many warnings and type clashes.
- Make sure Xvfb is always killed.
* Sat Apr 07 2001 - kukuk@suse.de
- Fix /bin/perl -> /usr/bin/perl
* Thu Apr 05 2001 - ro@suse.de
- rename perl_tk -> perl-Tk
* Thu Apr 05 2001 - ro@suse.de
- update to Tk800.022
* Thu Jan 18 2001 - grimmer@suse.de
- Changed Group tag to Development/Libraries/Perl
* Fri Oct 27 2000 - bk@suse.de
- fix permission of MANIFEST.SKIP(was 666)
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Thu Jan 20 2000 - ro@suse.de
- use macro for mandir
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - ro@suse.de
- update to 800.014
* Sun Jul 11 1999 - ro@suse.de
- fixed perl-paths
* Wed Mar 17 1999 - ro@suse.de
- diff cleanup
* Wed Feb 03 1999 - ro@suse.de
- use wildcard in filelist for alpha (*-linux)
* Tue Nov 17 1998 - ro@suse.de
- adjusted paths for perl5.005_02
* Thu Nov 12 1998 - ro@suse.de
- respect different perl minor versions
* Thu Nov 05 1998 - mb@suse.de
- initial version of perl_tk800.007
